#2828 closed defect (fixed)

Remove libmisc/serdbg

Reported by: Joel Sherrill Owned by: Needs Funding
Priority: normal Milestone: 6.1
Component: lib Version: 6
Severity: normal Keywords:
Cc: thomas.doerfler, Sebastian Huber Blocked By:
Blocking:

Description

This is old code which should be replaced by the new debug server. Any hints or reusable in this for termios/serial port support can be retrieved from an old branch.

Change History (3)

comment:1 Changed on 02/15/17 at 14:20:42 by Sebastian Huber

Milestone: 4.12Indefinite
Owner: set to Needs Funding
Status: newassigned

comment:2 Changed on 01/10/23 at 15:04:57 by Joel Sherrill

Cc: thomas.doerfler Sebastian Huber added
Component: scorelib
Milestone: Indefinite6.1
Version: 56

This ticket is simple to implement but another person needs to confirm that it is time to remove the libmisc/serdbg code (https://git.rtems.org/rtems/tree/cpukit/libmisc/serdbg)

comment:3 Changed on 02/10/23 at 13:38:24 by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 77e7bd9/rtems:

libmisc/serdbg: Remove obsolete serial debug

Closes #2828.

Note: See TracTickets for help on using tickets.